//
//  HHMUITextField.m
//  iOS7 UI DropIn
//
//  Created by Hannes Hauer on 18.06.13.
//  Copyright (c) 2013 Hannes Hauer. All rights reserved.
//

#import "HHMUITextField.h"
#import "UIImage+IPImageUtiles.h"

@implementation HHMUITextField

-(id)init {
    self = [super init];
    if (self) {
        [self styleAsModernUI];
    }
    return self;
}

- (id)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        // Initialization code
        [self styleAsModernUI];
    }
    return self;
}

-(id)initWithCoder:(NSCoder *)aDecoder {
    self = [super initWithCoder:aDecoder];
    if (self) {
        [self styleAsModernUI];
    }
    return self;
}

// Public Methods
-(void)styleAsModernUI {
    // Disable border
    self.borderStyle = UITextBorderStyleNone;
    
    // Set Background Image
    UIEdgeInsets backgroundInsets = UIEdgeInsetsMake(6, 6, 6, 6);
    UIImage *backgroundImage = [[UIImage imageNamed:@"TextFieldBG.png"] resizableImageWithCapInsets:backgroundInsets];
    self.background = backgroundImage;
    
    self.disabledBackground = backgroundImage;
}

/*
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect
{
    // Drawing code
}
*/

@end
